package net.northking.cctp.element.mobile.enums;

import com.alibaba.fastjson.JSON;
import net.northking.cctp.element.core.type.EnumClass;

import java.util.*;

public enum ExistEnum implements EnumClass {
    YES("存在", "1"),
    NO("不存在", "0");

    private String key;
    private String value;

    ExistEnum(String key, String value){
        this.key = key;
        this.value = value;
    }

    @Override
    public String getEnumData() {
        List<Map<String,Object>> result = new ArrayList<>();
        for (ExistEnum nullEnum : EnumSet.allOf(ExistEnum.class)) {
            Map<String,Object> one = new HashMap();
            one.put("label",nullEnum.key);
            one.put("value",nullEnum.value);
            result.add(one);
        }
        return JSON.toJSONString(result);
    }
}
